Bug 58692

Summary: old-run-webkit-tests: save the list of tests actually run to a file
Product: WebKit Reporter: Dirk Pranke <dpranke>
Component: New BugsAssignee: Dirk Pranke <dpranke>
Status: RESOLVED FIXED    
Severity: Normal CC: abarth, commit-queue, dbates, eric, ojan, ossy
Priority: P2    
Version: 528+ (Nightly build)   
Hardware: Other   
OS: OS X 10.5   
Attachments:
Description Flags
Patch none

Description Dirk Pranke 2011-04-15 14:03:11 PDT
old-run-webkit-tests: save the list of tests actually run to a file
Comment 1 Dirk Pranke 2011-04-15 14:04:41 PDT
Created attachment 89849 [details]
Patch
Comment 2 Dirk Pranke 2011-04-15 14:08:16 PDT
I don't actually care that much whether we land this or not, I'm just posting it in case other people might find it useful.
Comment 3 Eric Seidel (no email) 2011-04-15 14:09:18 PDT
Comment on attachment 89849 [details]
Patch

I think this could be quite useful, honestly.  Does NRWT do similar?
Comment 4 Dirk Pranke 2011-04-15 15:08:28 PDT
(In reply to comment #3)
> (From update of attachment 89849 [details])
> I think this could be quite useful, honestly.  Does NRWT do similar?

Yes, NRWT saves a list per-worker.
Comment 5 WebKit Commit Bot 2011-04-15 20:59:56 PDT
Comment on attachment 89849 [details]
Patch

Clearing flags on attachment: 89849

Committed r84076: <http://trac.webkit.org/changeset/84076>
Comment 6 WebKit Commit Bot 2011-04-15 21:00:00 PDT
All reviewed patches have been landed.  Closing bug.
Comment 7 Csaba Osztrogon√°c 2011-04-20 06:01:56 PDT
I think it is a useful feature for debugging, but 
we can get similar list on stdout with -v option.

I have two minor problems with it:

- ~ 3Mb sized list file for every build is hard disk killer on buildbot masters
It would be better to make this feature optional,or upload gzipped list.(~130Kb)

- absolute path: Why do we use absolute paths in this list? I think relative paths to LayoutTests directory is more than enough.

Reopen to discuss about my proposed changes.
Comment 8 Eric Seidel (no email) 2011-04-20 12:10:15 PDT
I like both of those suggestions.  Just putting it behind a flag seems reasonable.
Comment 9 Ojan Vafai 2011-04-20 12:16:50 PDT
(In reply to comment #8)
> I like both of those suggestions.  Just putting it behind a flag seems reasonable.

Noooo. We have way too many flags already. There's no reason to store the absolute path. I expect storing relative paths will be enough to make this file reasonably sized. If not that, writing out the zipped file is surely sufficient.
Comment 10 Dirk Pranke 2011-04-20 13:10:11 PDT
I have no objection to either flags or shorter paths. I wouldn't bother gzipping the list. Or, feel free to revert it, even. We've made it this long without it :)
Comment 11 Dirk Pranke 2011-05-31 18:35:02 PDT
Csaba, do you have an opinion on whether just relative paths but not a gzipped list would be sufficient?
Comment 12 Dirk Pranke 2011-06-15 13:27:53 PDT
I'm going to close this due to lack of comments and post a separate patch that shortens the list to relative paths and call it a day. See bug 62751 for the patch.